Bug 1257786 - Decide which new features of Bugzilla 5.0 to use in Red Hat Bugzilla
Decide which new features of Bugzilla 5.0 to use in Red Hat Bugzilla
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Jeff Fearn
Rony Gong
:
Depends On:
Blocks: 1095592
  Show dependency treegraph
 
Reported: 2015-08-28 00:00 EDT by Jason McDonald
Modified: 2015-11-22 18:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-22 18:38:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason McDonald 2015-08-28 00:00:45 EDT
The upstream Bugzilla 5.0 introduces a number of new features.  We need to decide which of those features we wish to enable in Red Hat Bugzilla, and then:

* Ensure that any required configuration changes make it into the right places (e.g. Ansible scripts).
* Ensure that we list the new features in any announcements we make before and after the upgrade.
* Ensure that test procedures are updated to include testing of those features.
Comment 1 Jeff Fearn 2015-09-02 19:48:00 EDT
https://www.bugzilla.org/releases/5.0/release-notes.html#feat

Things of note:

Features:
	Improved WebServices +
	Improved Caching using Memcached -
	Ability to Tag Bug Comments +
	Improved Bug Group Membership Checking + we already have this
	Improved Documentation for Users and Administrators +

Other Enhancements:
	multiple aliases + any migration costs??

	eTag headers, use in extensions?
	"All extensions which define new public WebService methods must list them in a PUBLIC_METHODS constant. Methods which are not listed there will not be accessible remotely." Might affect extensions.

There are plenty of other changes but not of note for development or deployment.

Note You need to log in before you can comment on or make changes to this bug.